org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.Create

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CollectionAdminResponse>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<T>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionSpecificAdminRequest<CollectionAdminRequest.Create>
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.Create

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest<Q extends CollectionAdminRequest<Q>>

    public static class CollectionAdminRequest.Create
    extends CollectionAdminRequest.CollectionSpecificAdminRequest<CollectionAdminRequest.Create>

Specific Collection API call implementations

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionShardAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionSpecificAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.List, CollectionAdminRequest.Migrate, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected String` `asyncId`
`protected Boolean` `autoAddReplicas`
`protected String` `configName`
`protected String` `createNodeSet`
`protected Integer` `maxShardsPerNode`
`protected Integer` `numShards`
`protected Integer` `replicationFactor`
`protected String` `routerField`
`protected String` `routerName`
`protected String` `shards`
`protected Integer` `stateFormat`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionSpecificAdminRequest

`collection`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action`

### Constructor Summary

Constructors
Constructor and Description
`CollectionAdminRequest.Create()`

### Method Summary

Methods
`String` `getAsyncId()`
`Boolean` `getAutoAddReplicas()`
`String` `getConfigName()`
`String` `getCreateNodeSet()`
`Integer` `getMaxShardsPerNode()`
`Integer` `getNumShards()`
`SolrParams` `getParams()`
`Properties` `getProperties()`
`Integer` `getReplicationFactor()`
`String` `getRouterName()`
`String` `getShards()`
`Integer` `getStateFormat()`
`protected CollectionAdminRequest.Create` `getThis()`
`CollectionAdminRequest.Create` `setAsyncId(String asyncId)`
`CollectionAdminRequest.Create` `setAutoAddReplicas(boolean autoAddReplicas)`
`CollectionAdminRequest.Create` `setConfigName(String config)`
`CollectionAdminRequest.Create` `setCreateNodeSet(String nodeSet)`
`CollectionAdminRequest.Create` `setMaxShardsPerNode(Integer numShards)`
`CollectionAdminRequest.Create` `setNumShards(Integer numShards)`
`CollectionAdminRequest.Create` `setProperties(Properties properties)`
`CollectionAdminRequest.Create` `setReplicationFactor(Integer repl)`
`CollectionAdminRequest.Create` `setRouterField(String routerField)`
`CollectionAdminRequest.Create` `setRouterName(String routerName)`
`CollectionAdminRequest.Create` `setRule(String... s)`
`CollectionAdminRequest.Create` `setShards(String shards)`
`CollectionAdminRequest.Create` `setSnitch(String... s)`
`CollectionAdminRequest.Create` `setStateFormat(Integer stateFormat)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionSpecificAdminRequest

`getCollectionName, setCollectionName`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, createResponse, getContentStreams, setAction`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### configName

    protected String configName

#### createNodeSet

    protected String createNodeSet

#### routerName

    protected String routerName

#### shards

    protected String shards

#### routerField

    protected String routerField

#### numShards

    protected Integer numShards

#### maxShardsPerNode

    protected Integer maxShardsPerNode

#### replicationFactor

    protected Integer replicationFactor

#### autoAddReplicas

    protected Boolean autoAddReplicas

#### stateFormat

    protected Integer stateFormat

#### asyncId

    protected String asyncId

### Constructor Detail

#### CollectionAdminRequest.Create

    public CollectionAdminRequest.Create()

### Method Detail

#### setConfigName

    public CollectionAdminRequest.Create setConfigName(String config)

#### setCreateNodeSet

    public CollectionAdminRequest.Create setCreateNodeSet(String nodeSet)

#### setRouterName

    public CollectionAdminRequest.Create setRouterName(String routerName)

#### setShards

    public CollectionAdminRequest.Create setShards(String shards)

#### setRouterField

    public CollectionAdminRequest.Create setRouterField(String routerField)

#### setNumShards

    public CollectionAdminRequest.Create setNumShards(Integer numShards)

#### setMaxShardsPerNode

    public CollectionAdminRequest.Create setMaxShardsPerNode(Integer numShards)

#### setAutoAddReplicas

    public CollectionAdminRequest.Create setAutoAddReplicas(boolean autoAddReplicas)

#### setReplicationFactor

    public CollectionAdminRequest.Create setReplicationFactor(Integer repl)

#### setStateFormat

    public CollectionAdminRequest.Create setStateFormat(Integer stateFormat)

#### setAsyncId

    public CollectionAdminRequest.Create setAsyncId(String asyncId)

#### setRule

    public CollectionAdminRequest.Create setRule(String... s)

#### setSnitch

    public CollectionAdminRequest.Create setSnitch(String... s)

#### getConfigName

    public String getConfigName()

#### getCreateNodeSet

    public String getCreateNodeSet()

#### getRouterName

    public String getRouterName()

#### getShards

    public String getShards()

#### getNumShards

    public Integer getNumShards()

#### getMaxShardsPerNode

    public Integer getMaxShardsPerNode()

#### getReplicationFactor

    public Integer getReplicationFactor()

#### getAutoAddReplicas

    public Boolean getAutoAddReplicas()

#### getStateFormat

    public Integer getStateFormat()

#### getAsyncId

    public String getAsyncId()

#### getProperties

    public Properties getProperties()

#### setProperties

    public CollectionAdminRequest.Create setProperties(Properties properties)

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest.CollectionSpecificAdminRequest<CollectionAdminRequest.Create>`

#### getThis

    protected CollectionAdminRequest.Create getThis()

Specified by:
  `getThis` in class `CollectionAdminRequest<CollectionAdminRequest.Create>`